%define pkg_name        PDF-Writer
%define pkg_version     0.06
%define rpm_pkg_version 0.06
%define rpm_pkg_release 2.n0i.2

Summary:       PDF writer abstraction layer
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/R/RK/RKINYON/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(PDF::API2) >= 0.40

# favor PDF::API2
%global perl_filter_req 'perl\\(pdflib_pl'


%description
This is a generalized API that allows a module that generates PDFs to
transparently target multiple backends without changing its code.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Fri Jun 15 2007 Marius Feraru <altblue@n0i.net> - 0.06-2.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer/1.14.9

* Sat Jul 01 2006 Marius Feraru <altblue@n0i.net> - 0.06-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer v1.12.1
- rebuild on perl 5.8.8
